> ## Documentation Index
> Fetch the complete documentation index at: https://remote.docs.generatemomentum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Base

> Get the base firmographic information for a company.



## OpenAPI

````yaml POST /company/firmographics/base
openapi: 3.0.1
info:
  title: OpenAPI Momentum Inbound
  description: Momentum Inbound API for enriching companies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://testing.inbound.generatemomentum.ai/api/remote
  - url: https://inbound.generatemomentum.ai/api/remote
security:
  - api_key: []
paths:
  /company/firmographics/base:
    post:
      description: Get the base firmographic information for a company.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Company'
      responses:
        '201':
          description: Initial Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/WebhookAcceptedResponse'
                  - $ref: '#/components/schemas/FirmographicsWebhookResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorUnauthorised'
        '401':
          description: Unauthorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorUnauthorised'
      callbacks:
        callbackResponse:
          '{$request.body#/callback_url}':
            post:
              description: Returns requested company information
              requestBody:
                required: true
                content:
                  application/json:
                    schema:
                      $ref: '#/components/schemas/FirmographicsWebhookResponse'
              responses:
                '200':
                  description: Recieved succesfully
                  content: {}
components:
  schemas:
    Company:
      required:
        - url
        - brand_name
        - callback_url
      type: object
      properties:
        url:
          description: 'The companies website url e.g: https://generatemomentum.ai'
          type: string
        brand_name:
          description: The company's brand name, e.g. Momentum AI
          type: string
        callback_url:
          description: Url to receive the enriched company information
          type: string
    WebhookAcceptedResponse:
      required:
        - id
      type: object
      properties:
        id:
          description: 'Webhook event id e.g: 963ede37-5fcf-4e41-bee7-cfbafdcabd4e'
          type: string
          format: uuid
    FirmographicsWebhookResponse:
      type: object
      properties:
        webhook_id:
          description: 'Webhook event id e.g: 963ede37-5fcf-4e41-bee7-cfbafdcabd4e'
          type: string
          format: uuid
        status:
          description: The status of the webhook response
          type: string
          enum:
            - success
            - failed
            - not-found
        data:
          type: object
          properties:
            industry:
              type: object
              properties:
                main:
                  description: >-
                    A broad classification that represents the primary business
                    activity of the company.
                  type: string
                sub_industries:
                  description: >-
                    A more specific classification within a broader industry
                    category that better describes the company's particular
                    niche or area of specialization.
                  type: array
                  items:
                    type: string
            employees:
              type: object
              properties:
                total:
                  description: Total number of employees that work for the company
                  type: integer
                growth_6_months:
                  description: >-
                    The percentage or numerical increase in the company's total
                    number of employees over the past 6 months. Percentage
                    between 0 - 1 (0.4 = 40%)
                  type: number
                  format: float
                  nullable: true
                countries:
                  type: object
                  nullable: true
                  properties:
                    '[country]':
                      description: Total number of employees located in [country]
                      type: integer
            headquarters:
              type: object
              properties:
                country:
                  description: Country of company headquarters e.g. Finland
                  type: string
                state:
                  description: State of company headquarters e.g. Uusimaa
                  type: string
                city:
                  description: City of company headquarters e.g. Helsinki
                  type: string
            revenue:
              type: object
              properties:
                annual:
                  description: ' $ total amount of income generated by the company from its business activities, before any expenses are subtracted.'
                  type: number
                  format: float
            calculated:
              type: object
              properties:
                revenue_per_employee:
                  description: ' $ total amount of income generated by the company divided per emoployee'
                  type: number
                  format: integer
    ErrorUnauthorised:
      required:
        - message
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      description: Authentication via API key

````